function [F] = projOp(F, sampling, kappa, c1, c2, N1, N2)
% Projection of F onto the subspace $T_{c_1,c_2}^\astV_{N_1,N_2}$
% c_1 indicates shift in row direction, c_2 in column direction
% N_1 is cutting parameter in row direction, N_2 in column direction

F = translOp(F, sampling, c1, c2, kappa); % shift the origin

Ffft = fft2(F);
% Ffft = fft(F.'); % columnwise 1D FT

Ffft(:,(N1+2) : (end-N1)) = 0;
Ffft((N2+2) : (end-N2),:) = 0;

F = ifft2(Ffft);
% F = ifft(Ffft).'; % columnwise 1d IFT

F = translOp(F, sampling, -c1, -c2, kappa); % shift back the origin

end